global function F_AIR_Init

void function F_AIR_Init()
{
  //AddCallback_GameStateEnter( eGameState.Playing, SetWeapons )
  AddSpawnCallback( "npc_soldier", SpawnCallback )
  AddSpawnCallback( "npc_spectre", SpawnCallback )
  AddSpawnCallback( "npc_stalker", SpawnCallback )
}


array<string> pilot_weapons = [
  "mp_weapon_car",
  "mp_weapon_alternator_smg",
  "mp_weapon_r97",
  "mp_weapon_hemlok_smg",
  "mp_weapon_rspn101",
  "mp_weapon_rspn101_og",
  "mp_weapon_vinson",
  "mp_weapon_g2",
  "mp_weapon_hemlok",
  "mp_weapon_lmg",
  "mp_weapon_lstar",
  "mp_weapon_esaw",
  "mp_weapon_sniper",
  "mp_weapon_dmr",
  "mp_weapon_doubletake",
  "mp_weapon_mastiff",
  "mp_weapon_shotgun",
  "mp_weapon_smr",
  "mp_weapon_softball",
  "mp_weapon_epg",
//  "mp_weapon_pulse_lmg",
  "mp_weapon_wingman",
//  "mp_weapon_wingman_n",
  "mp_weapon_semipistol",
  "mp_weapon_shotgun_pistol",
  "mp_weapon_autopistol",
  "mp_weapon_arc_launcher",
//  "mp_weapon_rocket_launcher",
  "mp_weapon_defender"
//  "mp_weapon_mgl"
]

array<string> titan_weapons = [
  "mp_titanweapon_leadwall",
  "mp_titanweapon_meteor",
  "mp_titanweapon_sniper",
  "mp_titanweapon_particle_accelerator",
  "mp_titanweapon_predator_cannon",
  "mp_titanweapon_xo16_vanguard",
  "mp_titanweapon_sticky_40mm"
]

void function SpawnCallback( entity test)
{
  thread SwapWeapons(test)
}

void function SwapWeapons(entity test)
{
  wait 9
  
  
  while(!IsValid(test))
    WaitFrame()
  
  array<string> weapons
  
  if ( GetConVarBool("fair_titan_weapons") )
    weapons.extend(titan_weapons)
  
  if( GetConVarBool("fair_pilot_weapons") )
    weapons.extend(pilot_weapons)
  
  test.ReplaceActiveWeapon(weapons[RandomInt(weapons.len())])
}
